"""Python CLI for FlashXTest"""

import os
import pwd
import click
from .. import api

@click.command(name='FlashXTest')
@click.option('--name', '-n', required=True, help='Name of test')
@click.option('--site', '-s', default=None, help='Flash-X site name')
@click.option('--outdir', '-o', default=None, help='Output directory')
@click.argument('testlist', nargs=-1, required=True)
def FlashXTest(name,site,outdir,testlist):
    """
    Python CLI to FlashXTest
    """
    # Arguments
    # ---------
    # name      : Name of the test sub-directory
    # site      : FlashX site name
    # outdir    : Output directory
    # testlist  : Tests to run from tests.xml file

    api.FlashXTest({name:testlist},flashSite=site,pathToOutdir=outdir)
